Bill Allombert on Thu, 25 Aug 2005 22:48:18 +0200

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]

Re: pari/gp for mac os X 10.4

On Wed, Aug 24, 2005 at 07:40:05PM -0400, Joshua Friedman wrote:
> attached is my failed build output for ./Configure and make install
> (outputmake.log).

...Found libreadline in /usr/lib
...Found readline header in /usr/include/readline
...Found history header in /usr/include/readline
...Found libncurses in /usr/lib
...Library ncurses needed by readline
Using GNU readline, version EditLine wrapper
...Library readline does not have rl_attempted_completion_over
...Library readline does not have rl_save_prompt

This is the problem: you have the EditLine library installed instead
of GNU readline, and somehow this is not compatible with PARI/GP.

To fix that, you can use:
./Configure --without-readline
Alternatively if GNU readline is available but in a different location, 
you can try the option --with-readline-include=... 

I would like to fix PARI Configure to reject EditLine, but I do not have
access to a Mac OS X machine and I am not sure what is the correct way 
to do it. Any help is very much welcome.